aboutsummaryrefslogtreecommitdiffstats
path: root/meta/recipes-devtools/tcltk/tcl
diff options
context:
space:
mode:
authorChong Lu <Chong.Lu@windriver.com>2014-01-08 16:49:56 +0800
committerSaul Wold <sgw@linux.intel.com>2014-01-08 22:54:55 -0800
commit831da5b54cf294ecf90626b14d439bd8e99cb0c2 (patch)
tree8f42ae688b129d05947276dd9978e1b497376a31 /meta/recipes-devtools/tcltk/tcl
parentf0399233b8489363d58b3d3302cdb9aa6d7190be (diff)
downloadopenembedded-core-contrib-831da5b54cf294ecf90626b14d439bd8e99cb0c2.tar.gz
tcl: enable ptest support
Install tcl test suite and run it as ptest. Signed-off-by: Chong Lu <Chong.Lu@windriver.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
Diffstat (limited to 'meta/recipes-devtools/tcltk/tcl')
-rw-r--r--meta/recipes-devtools/tcltk/tcl/run-ptest8
1 files changed, 8 insertions, 0 deletions
diff --git a/meta/recipes-devtools/tcltk/tcl/run-ptest b/meta/recipes-devtools/tcltk/tcl/run-ptest
new file mode 100644
index 0000000000..a5d6548d2a
--- /dev/null
+++ b/meta/recipes-devtools/tcltk/tcl/run-ptest
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+for i in `ls tests/*.test |awk -F/ '{print $2}'`; \
+ do TCL_LIBRARY=library ./tcltest tests/all.tcl -file $i &>$i.tmp; \
+ grep -q "^Files with failing tests:" $i.tmp; \
+ if [ $? == 0 ]; then echo "FAIL: $i"; \
+ else echo "PASS: $i"; rm -f $i.tmp; fi; \
+done